void read_sma()
{
	var coord_x = 0;
	var coord_y = 0;
	var counter = 1;
	
	if(sma_ped_create == 0)
	{
		while(counter <= 65536)
		{
			if(sma_data2[counter].EventP1 > 0 )
			{
				ped[counter] = ent_create("ped.mdl",vector(coord_x,coord_y,2000),NULL);	
			}
			
			coord_y +=40;
			if(coord_y >= 10240)
			{
				coord_x +=40;
				coord_y =0;
			}
			counter += 1;
		}
		sma_ped_create = 1;
	}
	else
	{
		while(counter <= 65536)
		{
			ptr_remove(ped[counter]);
			counter += 1;
		}
		sma_ped_create = 0;
	}
}
